• 1111阅读
  • 6回复

[提问]用qt5编译运行这些例子总数报错,怎么设置? [复制链接]

上一主题 下一主题
离线hpplel
 

只看楼主 倒序阅读 楼主  发表于: 2018-05-09
如题!怎么修改pro?谢谢
离线小韩老师

只看该作者 1楼 发表于: 2018-05-09
是不是例子总是报错,一般是QT安装好后运行例子来证明Qt是否安装好了,说明Qt没有安装好
离线hpplel

只看该作者 2楼 发表于: 2018-05-10
回 小韩老师 的帖子
小韩老师:是不是例子总是报错,一般是QT安装好后运行例子来证明Qt是否安装好了,说明Qt没有安装好 (2018-05-09 19:53)

安装好了,并用了好长时间了!
我的QT5.8的版本,这些例子是在QT4版本的?
直接用QT5.8打开*.pro编译,不通过!不知道怎么修改啊.....
离线小韩老师

只看该作者 3楼 发表于: 2018-05-10
主要是Qt4中的模块在QT5中已经改变,有些被移除,有些合并到其它模块中,pro首先加载的就是模块;还有一些类也变化了。
离线hpplel

只看该作者 4楼 发表于: 2018-05-11
回 小韩老师 的帖子
小韩老师:主要是Qt4中的模块在QT5中已经改变,有些被移除,有些合并到其它模块中,pro首先加载的就是模块;还有一些类也变化了。 (2018-05-10 20:38) 

谢谢,必须下载qt4的版本吗?
离线小韩老师

只看该作者 5楼 发表于: 2018-05-14
初学者还是强烈建议下载qt4,到了一定的时候可以学习不同版本的差异
离线沉默小ai

只看该作者 6楼 发表于: 2018-05-14
是因为QT4到QT5版本更迭的过程中,一些模块更换了,你可以根据一些资料去更改PRO文件,或者下载QT4学习,但是建议实际使用时使用QT5版本,因为它是目前的趋势!  小韩老师好!
本帖提到的人: @小韩老师
快速回复
限100 字节
 
上一个 下一个